Bug 113651 - UI Edit - Track Changes submenu item names inconsistent with ones in Writer
Summary: UI Edit - Track Changes submenu item names inconsistent with ones in Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Track-Changes Main-Menu UNO-Command-Label
  Show dependency treegraph
 
Reported: 2017-11-05 00:57 UTC by Gabor Kelemen
Modified: 2018-02-23 12:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the submenu in Writer (92.35 KB, image/png)
2017-11-05 00:57 UTC, Gabor Kelemen
Details
Screenshot of the submenu in Calc (99.19 KB, image/png)
2017-11-05 00:58 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-11-05 00:57:54 UTC
Created attachment 137527 [details]
Screenshot of the submenu in Writer

Submenu items Edit - Track Changes in Writer were recently renamed to make them shorter in commit [1]. 

However this happened only in Writers submenu, not in Calc where the older submenu items are still used.

This is inconsistent from user point of view. 
I noticed this when I just tried to change the menu references in the documentation, which uses the same text for both programs.

Maybe it would make sense to change them in Calc as well?

[1] https://cgit.freedesktop.org/libreoffice/core/commit/officecfg/registry/data/org/openoffice/Office/UI/WriterCommands.xcu?id=37ad8daabf596e039b4ca62e06e91d5a83128b7c
Comment 1 Gabor Kelemen 2017-11-05 00:58:14 UTC
Created attachment 137528 [details]
Screenshot of the submenu in Calc
Comment 2 Heiko Tietze 2017-11-06 12:11:02 UTC
Yes. Jay, please harmonize the labels.
Comment 3 Xisco Faulí 2018-02-22 11:50:25 UTC
Dear Gabor Kelemen,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 4 Commit Notification 2018-02-23 12:50:11 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4902aeff480692a0f3ddfc7e1182038868712f52

tdf#113651 Sync Calc Track Changes commands with Writers

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.